登录 |

ActiveSync用蓝牙接口PC与WM6同步

2010年06月30日 上午 39:27 | 作者:

一般步骤:http://blog.csdn.net/yefanqiu/archive/2008/05/04/2382876.aspx

注意事项:http://www.diypda.com/viewthread.php?tid=21863

要点:

  1. 删除手机和电脑的配对关系;
  2. 由手机发起ActiveSync请求:附件-同步
    1. 手机和电脑必须使用USB同步过,否则手机同步软件只有帮助提示
    2. 菜单-通过蓝牙进行连接(提示没有合作关系,进入蓝牙设备)
      1. 添加新设备(找到你的电脑)
      2. 配对
      3. 选择服务(串口服务/activesync)
      4. 不要在蓝牙设备界面使用“连接”,会报错:“连接失败或密码不正确”
  3. 返回同步程序,执行:菜单-通过蓝牙进行连接

php

2010年06月28日 上午 46:09 | 作者:

http://www.howtoforge.com/installing-php-5.3-nginx-and-php-fpm-on-ubuntu-debian

svnmanager

2010年06月28日 上午 38:57 | 作者:

http://svnmanager.org/index.php?page=install

SVN 改变UUID

2010年06月22日 下午 14:28 | 作者:

Server
UUID 存放在 REPOS/db/uuid

svnadmin setuuid REPOS_PATH [NEW_UUID]

Client
UUID 存放在每个 .svn/entries 文件内

sed -i “s/[OLD_UUID]/[NEW_UUID]/g” `grep [OLD_UUID] -rl /work/copy/path`
sed -i “s/b0927087-b325-4693-852c-0e4d9717ffc9/bf5bc82d-b9e2-49f5-a083-18a8b02e6a55/g” `grep b0927087-b325-4693-852c-0e4d9717ffc9 -rl /home/onoboss/td_chs`

NFS同步用户图片上传目录

2010年06月22日 上午 15:43 | 作者:

[toc]

  1. 61.164.186.242主服务器上建立nfs服务
    共享图片目录/home/onoboss/td_chs/union_img,/home/onoboss/td_chs/images/te
  2. 61.164.186.24[1|6]安装nfs客户端
    使用mount磁盘挂载把本地目录替换为242的nfs远程目录,客户端实际上都读写242的远程目录

服务端

61.164.186.242

安装

[shell]apt-get install nfs-kernel-server[/shell]

配置

共享目录

将/home/onoboss/td_chs/union_img,/home/onoboss/td_chs/images/te目录共享给本网段61.164.186.0/24

vim /etc/exports

[shell]

/home/onoboss/td_chs/union_img 61.164.186.0/24(rw,sync,no_root_squash,no_subtree_check)
/home/onoboss/td_chs/images/te 61.164.186.0/24(rw,sync,no_root_squash,no_subtree_check)

[/shell]

目录权限

允许读写

[shell]

chmod -R 0777 /home/onoboss/td_chs/union_img
chmod -R 0777 /home/onoboss/td_chs/images/te

[/shell]

客户端

61.164.186.241,61.164.186.246

安装

[shell]apt-get install nfs-common[/shell]

配置

手动挂载

[shell]

mount 61.164.186.242:/home/onoboss/chs/union_img /home/onoboss/chs/union_img
mount 61.164.186.242:/home/onoboss/chs/images/te /home/onoboss/chs/images/te

[/shell]

开机自动挂载

vim /etc/fstab

61.164.186.242:/home/onoboss/chs/union_img      /home/onoboss/chs/union_img     nfs     nosuid,noexec,nodev,rw,bg,soft,rsize=32768,wsize=32768  0       0
61.164.186.242:/home/onoboss/chs/images/te      /home/onoboss/chs/images/te     nfs     nosuid,noexec,nodev,rw,bg,soft,rsize=32768,wsize=32768  0       0

Could not get lock /var/lib/apt/lists/lock

2010年06月21日 下午 56:18 | 作者:

[shell]killall -w apt-get[/shell]

gearman

2010年06月19日 下午 20:28 | 作者:

apt-get install gearman
apt-get install libgearman-dev
apt-get install libevent-dev
apt-get install uuid-dev
pecl install gearman-0.6.0
echo “extension=gearman.so” > /etc/php5/conf.d/gearman.ini
/etc/init.d/php5-fpm restart

修改innodb_log_file_size导致innodb不能启动

2010年06月19日 上午 37:37 | 作者:

查看错误日志/var/log/mysql/mysql.err

InnoDB: Error: log file ./ib_logfile0 is of different size 0 5242880 bytes
InnoDB: than specified in the .cnf file 0 268435456 bytes!

解决方法:

  1. 删除原来的innodb日志文件ib_logfile0,ib_logfile1
    [shell]rm /var/lib/mysql/ib_logfile*[/shell]
  2. 重启mysql,会自动重建innodb日志文件
    [shell]/etc/init.d/mysql restart[/shell]

    100619 19:20:17  InnoDB: Log file ./ib_logfile0 did not exist: new to be created
    InnoDB: Setting log file ./ib_logfile0 size to 256 MB
    InnoDB: Database physically writes the file full: wait…
    InnoDB: Progress in MB: 100 200

svnsync同步版本库

2010年06月18日 上午 35:42 | 作者:

[toc]

源服务器:http://192.168.1.81/svn
目标服务器:http://www.onoboss.com/svn

目标服务器

建立同名版本库

[shell]cd /var/lib/svn
svnadmin create chs
chown -R www-data:www-data chs[/shell]

配置hook/pre-revprop-change

[shell]
cd /var/lib/svn/chs/hooks/
vi pre-revprop-change #输入文件内容
chmod a+x pre-revprop-change #执行权限
[/shell]

pre-revprop-change文件内容:

[shell]
#!/bin/sh
exit 0;
[/shell]

同步服务器

初始任务

[shell]
#svnsync init [目标服务器] [源服务器]
svnsync init http://www.onoboss.com/svn/chs http://192.168.1.81/svn/chs
[/shell]

执行同步

[shell]
#svnsync sync [目标服务器]
svnsync sync http://www.onoboss.com/svn/chs
[/shell]

FAQ

  1. svnsync: DAV request failed; it’s possible that the repository’s pre-revprop-cha
    nge hook either failed or is non-existent
    svnsync: At least one property change failed; repository is unchanged
    svnsync: Error setting propertysync-lock‘:
    could not remove a property
    答:目标服务器未设置
    hook/pre-revprop-change,或者目录权限未更改为www-data。
  2. 中断同步进程,再次同步,出现:Failed to get lock on destination repos, currently held by ‘wonder:83edc72d-1b3c-4531-815a-b80bf58efe07’ 错误。
    答: svn propdel svn:sync-lock –revprop -r 0 http://www.onoboss.com/svn/chs
  3. svnsync: Destination HEAD (1021) is not the last merged revision (1019); have you committed to the destination without using svnsync
    答:svn propset –revprop -r0 svn:sync-last-merged-rev 1021 http://www.onoboss.com/svn/chs

参考链接

http://gregoire.org/2008/09/03/fun-with-svnsync-and-googlecode/

mysql-proxy 主从库读写分离(rw-split)

2010年06月17日 下午 31:38 | 作者:

[toc]

官方网站

https://launchpad.net/mysql-proxy

下载解压

[shell]wget http://launchpad.net/mysql-proxy/0.8/0.8.0/+download/mysql-proxy-0.8.0.tar.gz
tar xvf mysql-proxy-0.8.0.tar.gz[/shell]

安装编译工具

[shell]apt-get install gcc pkg-config[/shell]
gcc:The GNU C compiler c语言编译器
pkg-config:manage compile and link flags for libraries http://blog.csdn.net/yuntongsf/archive/2009/04/21/4097393.aspx

安装支持库

[shell]apt-get install libevent-dev libglib2.0-dev liblua5.1-0-dev libmysqlclient-dev[/shell]

编译安装

[shell]cd mysql-proxy-0.8.0
./configure
make
make install[/shell]

刷新缓存库路径

[shell]ldconfig -v[/shell]

ldconfig命令的用途,主要是在默认搜寻目录(/lib 和/usr/lib)以及动态库配置文件/etc/ld.so.conf内所列的目录下,搜索出可共享的动态链接库(格式如前介绍,lib*.so*), 进而创建出动态装入程序(ld.so)所需的连接和缓存文件.缓存文件默认为/etc/ld.so.cache,此文件保存已排好序的动态链接库名字列表.
ldconfig通常在系统启动时运行,而当用户安装了一个新的动态链接库时,就需要手工运行这个命令.

配置脚本

启动脚本

/etc/init.d/mysql-proxy
[shell]
#! /bin/sh

### BEGIN INIT INFO
# Provides: mysql-proxy
# Required-Start: $syslog
# Required-Stop: $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: MySQL Proxy
### END INIT INFO

PATH=/bin:/usr/bin:/sbin:/usr/sbin
LUA_PATH="/usr/share/mysql-proxy/?.lua"

DAEMON="/usr/sbin/mysql-proxy"
PIDFILE="/var/run/mysql-proxy.pid"

test -f $DAEMON || exit 0

test ! -r /etc/default/mysql-proxy || . /etc/default/mysql-proxy

if ! $ENABLED ; then exit 0 ; fi

. /lib/lsb/init-functions

case "$1" in
start)
log_begin_msg "Starting MySQL Proxy daemon…"
start-stop-daemon –start –quiet –pidfile $PIDFILE –make-pidfile –name mysql-proxy –startas $DAEMON -b — $OPTIONS
log_end_msg $?
;;
stop)
log_begin_msg "Stopping MySQL Proxy daemon…"
start-stop-daemon –stop –quiet –retry 3 –exec $DAEMON –pidfile $PIDFILE
log_end_msg $?
;;
status)
log_begin_msg "Checking MySQL Proxy daemon… "
status_of_proc -p $PIDFILE /usr/sbin/mysql-proxy mysql-proxy && exit 0 || exit $?
;;
restart|force-reload)
log_begin_msg "Reloading MySQL Proxy daemon…"
start-stop-daemon –stop –quiet –retry 3 –exec $DAEMON –pidfile $PIDFILE
start-stop-daemon –start –quiet –pidfile $PIDFILE –make-pidfile –name mysql-proxy –startas $DAEMON -b — $OPTIONS
log_end_msg $?
;;
*)
log_success_msg "Usage: $0 {start|stop|status|restart|force-reload}"
exit 1
esac

exit 0[/shell]

启动设置

/etc/default/mysql-proxy

[shell]ENABLED="true"

OPTIONS="

–proxy-backend-addresses=127.0.0.1:3306 \

–proxy-read-only-backend-addresses=61.164.186.241:3306 \

–proxy-read-only-backend-addresses=61.164.186.246:3306 \

–proxy-lua-script=/usr/lib/mysql-proxy/lua/rw-splitting.lua \

–log-level=info \

–log-file=/var/log/mysql/mysql-proxy.log

–keepalive

"[/shell]

执行权限

[shell]chmod a+x /etc/init.d/mysql-proxy[/shell]

开机自启动

[shell]apt-get install rcconf
rcconf[/shell]

运行rcconf会列出所有/etc/init.d/目录下的启动脚本:

  1. 使用[空格]键选择启动项,变成[*]
  2. 按[TAB]键,选中[OK]

测试连接

[shell]mysql -uroot -poP05_1ep -hlocalhost –port=4040[/shell]